import { atualizaJogo, removeJogo } from "@/serviço/jogos";
import { Jogo } from "@/types";
import { UUID } from "crypto";
import { NextRequest, NextResponse } from "next/server";

export async function PUT(req: NextRequest, {params}: {params: {idJogo: UUID}}) {
	const jogo: Jogo = await req.json();
	jogo.id = params.idJogo;
	atualizaJogo(params.idJogo, jogo);
	return NextResponse.json({mensagem: 'sucesso'});
}

export async function DELETE(req: NextRequest, {params}: {params: {idJogo: UUID}}) {
	removeJogo(params.idJogo);
	return NextResponse.json({mensagem: 'sucesso'});
}